How to upgrade the JDBC driver to 11.2.0.3 in EBS R12.1.3?

(Doc ID 2196404.1)

Last updated on OCTOBER 27, 2016

Applies to:

Oracle Applications Technology Stack - Version 12.1.3 to 12.1.3 [Release 12.1]
Information in this document applies to any platform.

Goal

E-Business Suite Applications Technology Stack, Jserv, JDK, JVM, JRE related issues

Upgrade the JDBC driver to version 11.2.0.3 in EBS 12.1.3.

Recently the database trace files being generated containing the below error:

ORA-03137: TTC protocol internal error : [3120] [] [] [] [] [] [] []

Further analysis shows JDK 1.7.0 is being used, which recommends to use the 11.2.0.3 JDBC driver or higher per the following document:

<Note 401934.1> - Starting With Oracle JDBC Drivers which states the following " Only Oracle JDBC driver 11.2.0.3 (and greater) versions support JDK 7 and JDK 8."

Your JDBC version can be checked via enabling profile FND: Diagnostics -> About This Page -> Java System Properties -> java.class.path property from $COMMON_TOP/java/lib/jdbc6.z
 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms